Subject: Re: draft-raggarwa-rsvpte-pw-01.txt

From: Ping Pan <[email-masked]>
Date: Thu, 24 Mar 2005 09:27:22 -0800

Ben,

I have always thought that the MH-PW is a pretty narrow application 
building on top of single-hop stuff. The requirement mostly derived from 
the first few sections of Luca's original PW switching draft with 
BellSouth and Nortel (?).

Sorry I don't have ITU access, so cannot read that doc. :-( Is using 
RSVP because of a different/new requirement from ITU? If so, should we 
solve that in ITU domain? Just curious...

Thanks!

- Ping

[email-masked] wrote:
> Ping,
> 
> Thanks, see in-line.
> 
> 
>>-----Original Message-----
>>From: Ping Pan [mailto:[email-masked]]
>>Sent: 24 March 2005 16:37
>>To: Niven-jenkins,B,Ben,XDE73 R
>>Cc: [email-masked]
>>Subject: Re: [PWE3] draft-raggarwa-rsvpte-pw-01.txt
>>
>>
>>Hi,
>>
>>I agree with you that we need to hear more from the carriers.
>>
>>IMHO, MH-PW is an extension from single-hop PW. Here is the 
>>deployment 
>>situation and reasons for using LDP:
>>
>>http://www.ietf.org/internet-drafts/draft-minei-ldp-operationa
>>l-experience-00.txt
>>
>>If the above draft reflects any reality at all, (1) should we 
>>pursue an 
>>alternative solution? (2) is the changes introduced in MH-PW so huge 
>>that we have to use a different signaling protocol for PW's?
> 
> 
> I do not believe that MS-PW is a simple extension to SS-PW (although that is how it may seem from a high level).  There are some fundamental changes (some of which may be quite subtle) when you go from operating over a single hop (link connection) as is the case for SS-PW and concatenating several hops (link connections) into a trail as is the case for MS-PW.  For a start you are creating a new layer network and as such need to define PW layer addressing, routing, signalling and all the associated control/management plane functions that you would expect in a layer network that do not currently exist for SS-PW (IMO SS-PW do not even use a 'true' signalling protocol - targetted LDP just exchanges session identifiers/associations).
> 
> Therefore moving from SS-PWs to MS-PWs IMO is a much bigger step than just switching/stitching a few MPLS labels/PW IDs as it may first appear to be (but IMO even that isn't as simple as it appears from a high level).  If you draw out a SS-PW and a MS-PW using G.805 functional architecture atomic functions the difference is clear IMO, however I'm not brave enough to attempt to do so using ASCII.  Those with ITU TIES accounts can access:
> http://ties.itu.int/u/tsg15/sg15/archive/2001_xchange/wp3/q12/0410_ottawa/input_docs/wd34_bt_pwmodels.ppt which was used by Q12 SG15 in an informal discussion of PW modelling and may be helpful in furthering your understanding. 
> 
> Ben
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3